/**
 * Checks if a sub folder is outside of a root folder.
 *
 * Contextual note: Ordinarily, a folder cannot be considered outside of itself.
 * However, in scenarios where the subFolder equals the rootFolder,
 * it implies an attempt to archive the entire workspace.
 * Such actions are prohibited, thus leading to a return value of true.
 *
 * @param {string} subFolder The path to the sub folder.
 * @param {string} rootFolder The path to the root folder.
 * @returns {boolean} Returns true if the sub folder is outside of the root folder, false otherwise.
 */
export declare function isFolderOutside(subFolder: string, rootFolder: string): boolean;
/**
 * Compresses the specified source into a zip file at the destination path.
 *
 * @param workspace The user workspace directory.
 * @param source The path of the directory or file to be compressed.
 * @param dest The path where the output zip file should be saved.
 */
export declare function zip(workspace: string, source: string, dest: string): void;
//# sourceMappingURL=zip.d.ts.map